<ion-content>
  <div class="split-pane">
    <div id="imgwrap">
      <img
        style="margin-top: 5%;"
        src="assets/img/pinterest_profile_image.png"
        alt="CETAGRO"
      />
    </div>
  </div>

  <form [formGroup]="loginForm" (ngSubmit)="loginUser(loginForm.value)">
    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-item>
        <ion-label position="floating"
          >Email<ion-text color="danger">*</ion-text></ion-label
        >
        <ion-input formControlName="email"></ion-input>
      </ion-item>
    </section>

    <div class="validation-error ion-text-center">
      <ng-container *ngFor="let validation of validation_message.email">
        <div
          *ngIf="loginForm.get('email').hasError(validation.type) && 
          (loginForm.get('email').dirty || 
          loginForm.get('email').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-item>
        <ion-label position="floating"
          >Password<ion-text color="danger">*</ion-text></ion-label
        >
        <ion-input type="password" formControlName="password"></ion-input>
      </ion-item>
    </section>

    <div class="validation-error ion-text-center">
      <ng-container *ngFor="let validation of validation_message.password">
        <div
          *ngIf="loginForm.get('password').hasError(validation.type) && 
          (loginForm.get('password').dirty || 
          loginForm.get('password').touched)"
        >
          {{validation.message}}
        </div>
      </ng-container>
    </div>

    <div class="validation-error ion-text-center">
      {{errorMessage}}
    </div>

    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-button
        expand="full"
        shape="round"
        [disabled]="!loginForm.valid"
        type="submit"
        >Login</ion-button
      >
    </section>

    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-button
        expand="full"
        shape="round"
        (click)="authGoogle()"
        type="submit"
        >Login with Google</ion-button
      >
    </section>

    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-button
        (click)="goToRegister()"
        expand="full"
        shape="round"
        fill="outline"
        >Registrar</ion-button
      >
    </section>

    <section style="padding-left: 10%; padding-right: 10%;">
      <ion-button
        expand="full"
        shape="round"
        (click)="goToPasswordReset()"
        type="submit"
        >Olvide mi contraceña</ion-button
      >
    </section>
  </form>
</ion-content>
